## ros-jazzy-irobot-create-description 3.0.3

=== debian/changelog ===
ros-jazzy-irobot-create-description (3.0.3-1bookworm) bookworm; urgency=high



 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Fri, 27 Sep 2024 16:00:00 -0000

ros-jazzy-irobot-create-description (3.0.2-1bookworm) bookworm; urgency=high



 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Sun, 25 Aug 2024 16:00:00 -0000

ros-jazzy-irobot-create-description (3.0.1-1bookworm) bookworm; urgency=high



 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Sat, 24 Aug 2024 16:00:00 -0000

ros-jazzy-irobot-create-description (3.0.0-1bookworm) bookworm; urgency=high

  * Add dependencies to irobot_create_description (#219 <https://github.com/iRobotEducation/create3_sim/issues/219>)
  * Contributors: Alberto Soragna, Gaël Écorchard

 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Sat, 24 Aug 2024 16:00:00 -0000

ros-jazzy-irobot-create-description (2.1.0-1bookworm) bookworm; urgency=high

  * Multi robot support (#207 <https://github.com/iRobotEducation/create3_sim/issues/207>)
  * Description fixes (#200 <https://github.com/iRobotEducation/create3_sim/issues/200>)
  * Remapped odom topic (#206 <https://github.com/iRobotEducation/create3_sim/issues/206>)
  * Contributors: Roni Kreinin, roni-kreinin

 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Sun, 14 May 2023 16:00:00 -0000

ros-jazzy-irobot-create-description (2.0.0-1bookworm) bookworm; urgency=high

  * Update to ROS 2 Humble (#197 <https://github.com/iRobotEducation/create3_sim/issues/197>)
    * Update message names to https://github.com/iRobotEducation/irobot_create_msgs/pull/10
    * rename dock topic into dock_status
    * comment ign_ros2_control dependency as it must be built from sources
    Co-authored-by: Francisco Martín Rico <mailto:fmrico@gmail.com>
  * add missing dependency to irobot-create-common-bringup (#186 <https://github.com/iRobotEducation/create3_sim/issues/186>)
  * Contributors: Alberto Soragna, Francisco Martín Rico

 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Wed, 18 Jan 2023 16:00:00 -0000

ros-jazzy-irobot-create-description (1.0.1-1bookworm) bookworm; urgency=high

  * add boost as explicit dependency and remove unnneded boost usage (#175 <https://github.com/iRobotEducation/create3_sim/issues/175>)
    * add boost as explicit dependency and remove unnneded boost usage
    * do not search for boost component in Boost library

 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Mon, 11 Apr 2022 16:00:00 -0000

ros-jazzy-irobot-create-description (1.0.0-1bookworm) bookworm; urgency=high

  * Added irobot_create_control dependency to irobot_create_description (#171 <https://github.com/iRobotEducation/create3_sim/issues/171>)
  * Use package:// to reference meshes (#168 <https://github.com/iRobotEducation/create3_sim/issues/168>)
    * Set GAZEBO_MODEL_URI to empty string to prevent model downloads.
    Added /usr/share/gazebo-11/models/ to GAZEBO_MODEL_PATH to use local ground plane and sun models.
    Using package:// instead of file:// for mesh paths.
    * Append to GAZEBO_MODEL_PATH
  * Added pose publisher (#154 <https://github.com/iRobotEducation/create3_sim/issues/154>)
  * Use ign_ros2_control (#148 <https://github.com/iRobotEducation/create3_sim/issues/148>)
    * Use ign_ros2_control
    * Removed remapping
    * Documentation
  * Ignition Gazebo support (#144 <https://github.com/iRobotEducation/create3_sim/issues/144>)
    * Updated URDF to work with both gazebo classic and ignition:
    - Added gazebo arg to create3.urdf.xacro and standard_dock.urdf.xacro. This arg sets which gazebo version to use.
    - Added ray sensor macro which creates the correct sensor given the gazebo arg
    - Added ignition plugins when gazebo=ignition
    - Adjusted front caster position to better align with the create3 model
    - Adjusted wheeldrop spring stiffness to compensate for the front caster position change
    * Launch joint_state_publisher and diffdrive_controller only in classic
    * Use joint_state_publisher for both ignition and classic
    Cleaned up gazebo launch arg
    Adjusted front caster position
    * Simulation -> simulator
    * Added irobot_create_ignition packages
    * Fixed some linter warnings
    * Removed joint state publisher from ros_ign_bridge
    * - Reorganized packages
    - Shifted center of gravity of create3 forwards by 22.8 mm
    - Added min/max velocity and acceleration to diff drive plugin
    * Moved README.md to irobot_create_gazebo
    Created new README.md for irobot_create_ignition
    * Update README.md
    * Added ignition edifice repos for source installation
    * Create README.md
    * Added missing dependency
    * Renamed dock to standard_dock
    Center of gravity offset only applied in ignition for now
    * Fixed Linter errors
    * Updated README to have installation and example instructions for both Ignition and Classic
    Moved .repos files to the root of the repository
    * Ignition and Gazebo packages are now optional and only built if the required dependencies are installed
    * Made ros_ign_interfaces optional in irobot_create_ignition_bringup
    * fix license and minor changes to CMake and README
    * Interface buttons mock publisher not used in Ignition sim
    * Fixed linter errors
    Co-authored-by: Alberto Soragna <mailto:alberto.soragna@gmail.com>
  * Contributors: Alejandro Hernández Cordero, roni-kreinin

 -- Ekumen <ekumen@irbt.onmicrosoft.com>  Wed, 30 Mar 2022 16:00:00 -0000
