=== debian/control ===
Source: ros-jazzy-irobot-create-description
Section: misc
Priority: optional
Maintainer: Ekumen <ekumen@irbt.onmicrosoft.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-lint-cmake <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-irobot-create-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-irobot-create-control, ros-jazzy-urdf, ros-jazzy-xacro, ros-jazzy-ros-workspace
Description: Provides the model description for the iRobot(R) Create(R) 3 Educational Robot.
